using System;

namespace Aitex.Core.RT.IOCore;

public class IoNotFoundException : Exception
{
    public IoNotFoundException()
    {
        
    }

    public IoNotFoundException(string message) : base(message)
    {
        
    }

    public IoNotFoundException(IOType type, string ioName) : base($"{type} with name '{ioName}' can not be found.")
    {
        IoName = ioName;
        Type = type;
    }
    
    public string IoName { get; }
    
    public IOType Type { get; }
}